//
//  MVHomeController.swift
//  MusicVideoPlus
//
//  Created by ak on 2021/6/2.
//  首界面
 
import BFFramework
class MVHomeController: MVBaseController{
    
    // 卡点视频 btn
    lazy var stuckPointBtn: UIButton = {
        let stuckPointBtn = UIButton(type: .custom)
        stuckPointBtn.addTarget(self, action: #selector(btnClick(sender:)), for: .touchUpInside)
        stuckPointBtn.setImage(UIImage(named: "add"), for: .normal)
        stuckPointBtn.adjustsImageWhenHighlighted = false
        stuckPointBtn.tag = 2000
        stuckPointBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
  
        stuckPointBtn.addCorner(corner: 30)


        return stuckPointBtn
    }()
    
    // 个人中心btn
    lazy var mineBtn: UIButton = {
        let mineBtn = UIButton(type: .custom)
        mineBtn.addTarget(self, action: #selector(btnClick(sender:)), for: .touchUpInside)
        mineBtn.setBackgroundImage(UIImage(named: "wode"), for: .normal)
        mineBtn.adjustsImageWhenHighlighted = false
        mineBtn.tag = 1000
        return mineBtn
    }()
    
    // 设置btn
    lazy var settingBtn: UIButton = {
        let settingBtn = UIButton(type: .custom)
        settingBtn.addTarget(self, action: #selector(btnClick(sender:)), for: .touchUpInside)
        settingBtn.setBackgroundImage(UIImage(named: "set"), for: .normal)
        settingBtn.adjustsImageWhenHighlighted = false
        settingBtn.tag = 3000
        return settingBtn
    }()
    
    
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.addSubview(mineBtn)
        view.addSubview(stuckPointBtn)
        view.addSubview(settingBtn)
        
        addLayout()
  
    }
    
    func addLayout() {
        
        mineBtn.snp.remakeConstraints { make in
            make.width.equalTo(60)
            make.height.equalTo(60)
            make.left.equalToSuperview().offset(16)
            make.bottom.equalToSuperview().offset(-50)
        }
        stuckPointBtn.snp.remakeConstraints { make in
            make.width.equalTo(60)
            make.height.equalTo(60)
            make.centerX.equalToSuperview()
            make.bottom.equalToSuperview().offset(-50)
        }
        
        settingBtn.snp.remakeConstraints { make in
            make.width.equalTo(60)
            make.height.equalTo(60)
            make.right.equalToSuperview().offset(-16)
            make.bottom.equalToSuperview().offset(-50)
        }

    }
    @objc func btnClick(sender: UIButton) {
        
        //先判断是否登录
        if(!BFLoginUserInfo.shared.isLogin() && sender.tag != 3000){
            navigationController?.present(MVLoginController(), animated: true, completion: nil)
            return
        }
     
        
        switch sender.tag {
       
        case 1000:
            navigationController?.pushViewController(MVMineController(), animated: true)
          break
        case 2000:
            navigationController?.pushViewController(PQStuckPointMaterialController(), animated: true)
            break
        
        case 3000:
            navigationController?.pushViewController(MVSettingController(), animated: true)
            break
      
        default:
            break
        }
    }
}
